Edushade Docs
Courses

A: Create a new course

POST
/admin/learning/courses
AuthorizationBearer <token>

In: header

category_idsarray<string>
certificate_enabledboolean
Defaulttrue
completion_messagestring
Default"Congratulations! You have successfully completed this course."
course_typestring
Default"self_paced"
descriptionstring
Default"A comprehensive course covering the fundamentals of machine learning"
difficulty_levelstring
Default"intermediate"
discussion_enabledboolean
Defaulttrue
durationinteger
Default144000
email_notificationsboolean
Defaulttrue
instructionsstring
Default"Complete all lessons and assignments to receive your certificate"
instructor_idsarray<string>
languagestring
Default"en"
max_enrollmentsinteger
Default100
passing_gradeinteger
Default70
password_protectedboolean
Defaultfalse
rating_enabledboolean
Defaulttrue
statusstring
Default"draft"
thumbnailstring
Default"https://example.com/thumbnail.jpg"
Formaturi
titlestring
Default"Introduction to Machine Learning"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/courses" \
  -H "Content-Type: application/json" \
  -d '{
    "category_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "certificate_enabled": true,
    "completion_message": "Congratulations! You have successfully completed this course.",
    "course_type": "self_paced",
    "description": "A comprehensive course covering the fundamentals of machine learning",
    "difficulty_level": "intermediate",
    "discussion_enabled": true,
    "duration": 144000,
    "email_notifications": true,
    "instructions": "Complete all lessons and assignments to receive your certificate",
    "instructor_ids": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "language": "en",
    "max_enrollments": 100,
    "passing_grade": 70,
    "password_protected": false,
    "rating_enabled": true,
    "status": "draft",
    "thumbnail": "https://example.com/thumbnail.jpg",
    "title": "Introduction to Machine Learning"
  }'
{}
Empty
Empty
Empty